# Uses of Class
org.eclipse.core.runtime.jobs.Job

Packages that use Job
Package
Description
org.eclipse.core.internal.resources
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.core.runtime.jobs
Provides core support for scheduling and interacting with background activity.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.
org.eclipse.ui.preferences
Classes for using the preferences support in org.eclipse.core.runtime.preferences
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of Job in org.eclipse.core.internal.resources

Subclasses of Job in org.eclipse.core.internal.resources
Modifier and Type
Class
Description
`class`
`org.eclipse.core.internal.resources.InternalWorkspaceJob`
Batches the activity of a job as a single operation, without obtaining the workspace lock.

## Uses of Job in org.eclipse.core.resources

Subclasses of Job in org.eclipse.core.resources
Modifier and Type
Class
Description
`class`
`WorkspaceJob`
A job that makes an atomic modification to the workspace.

## Uses of Job in org.eclipse.core.runtime.jobs

Methods in org.eclipse.core.runtime.jobs that return Job
Modifier and Type
Method
Description
`static Job`
Job.`create(String name, ICoreRunnable runnable)`
Creates a new Job that will execute the provided runnable when it runs.
`static Job`
Job.`create(String name, IJobFunction function)`
Creates a new Job that will execute the provided function when it runs.
`static Job`
Job.`createSystem(String name, ICoreRunnable runnable)`
Creates a new system `Job` with the given name that will execute the provided runnable when it runs.
`static Job`
Job.`createSystem(String name, IJobFunction function)`
Creates a new system `Job` with the given name that will execute the provided function when it runs.
`Job`
IJobManager.`currentJob()`
Returns the job that is currently running in this thread, or `null` if there is no currently running job.
`Job[]`
IJobManager.`find(Object family)`
Returns all waiting, executing and sleeping jobs belonging to the given family.
`Job`
IJobChangeEvent.`getJob()`
The job on which this event occurred.
`Job`
IJobStatus.`getJob()`
Returns the job associated with this status.
`Job`
Job.`yieldRule(IProgressMonitor monitor)`
Temporarily puts this `Job` back into `WAITING` state and relinquishes the job's scheduling rule so that any `WAITING` jobs that conflict with this job's scheduling rule have an opportunity to start.
Methods in org.eclipse.core.runtime.jobs that return types with arguments of type Job
Modifier and Type
Method
Description
`final List<Job>`
JobGroup.`getActiveJobs()`
Returns all waiting, executing and sleeping jobs belonging to this job group.
Methods in org.eclipse.core.runtime.jobs with parameters of type Job
Modifier and Type
Method
Description
`abstract IProgressMonitor`
ProgressProvider.`createMonitor(Job job)`
Provides a new progress monitor instance to be used by the given job.
`IProgressMonitor`
ProgressProvider.`createMonitor(Job job, IProgressMonitor group, int ticks)`
Returns a progress monitor that can be used by a running job to report progress in the context of a progress group.

## Uses of Job in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return Job
Modifier and Type
Method
Description
`protected Job`
AbstractLaunchConfigurationTab.`createUpdateJob()`
Creates and returns a job used to update the launch configuration dialog for this tab.

## Uses of Job in org.eclipse.equinox.p2.operations

Subclasses of Job in org.eclipse.equinox.p2.operations
Modifier and Type
Class
Description
`class`
`ProfileModificationJob`
A job that modifies a profile according to a specified provisioning plan.
`class`
`ProvisioningJob`
Abstract class representing provisioning jobs.
Methods in org.eclipse.equinox.p2.operations with parameters of type Job
Modifier and Type
Method
Description
`void`
ProvisioningSession.`rememberJob(Job job)`
Remember the specified job.

## Uses of Job in org.eclipse.equinox.p2.ui

Subclasses of Job in org.eclipse.equinox.p2.ui
Modifier and Type
Class
Description
`class`
`LoadMetadataRepositoryJob`
A job that loads a set of metadata repositories and caches the loaded repositories.
Methods in org.eclipse.equinox.p2.ui with parameters of type Job
Modifier and Type
Method
Description
`void`
ProvisioningUI.`manageJob(Job job, int jobRestartPolicy)`
Manage the supplied job as a provisioning operation.

## Uses of Job in org.eclipse.ui.preferences

Methods in org.eclipse.ui.preferences with parameters of type Job
Modifier and Type
Method
Description
`void`
IWorkbenchPreferenceContainer.`registerUpdateJob(Job job)`
Register a job to be run after the container has been closed.

## Uses of Job in org.eclipse.ui.progress

Subclasses of Job in org.eclipse.ui.progress
Modifier and Type
Class
Description
`class`
`UIJob`
The UIJob is a Job that runs within the UI Thread via an asyncExec.
`class`
`WorkbenchJob`
WorkbenchJob is a type of job that implements a done listener and does the shutdown checks before scheduling.
Methods in org.eclipse.ui.progress with parameters of type Job
Modifier and Type
Method
Description
`Image`
IProgressService.`getIconFor(Job job)`
Get the icon that has been registered for a Job by checking if the job belongs to any of the registered families.
`void`
IWorkbenchSiteProgressService.`schedule(Job job)`
Jobs scheduled with this method will cause the part's presentation to be changed to indicate that the part is busy and in a transient state until the job completes.
`void`
IWorkbenchSiteProgressService.`schedule(Job job, long delay)`
Jobs scheduled with this method will cause the part's presentation to be changed to indicate that the part is busy and in a transient state until the job completes.
`void`
IWorkbenchSiteProgressService.`schedule(Job job, long delay, boolean useHalfBusyCursor)`
Jobs scheduled with this method will cause the part's presentation to be changed to indicate that the part is busy and in a transient state until the job completes.
`void`
IProgressService.`showInDialog(Shell shell, Job job)`
Open a dialog on job when it starts to run and close it when the job is finished.